Page MenuHomePhabricator

TEST: redirect small portion of unauthenticated desktop users to mobile web
Closed, DeclinedPublic

Description

This task is for conducting the redirection test at https://www.mediawiki.org/wiki/Reading/Strategy/Strategy_Process/Testing#Optimize_the_UX_of_Wikipedia_for_contemporary_technologies. In practice we think we can go to 0.1% sampling. We believe we may also want to explore an alternative of an A/B test where the Vector skin collapses sidebars (keeping the globe), or perhaps trying both on different horizons.

We have a rough idea of the technical pieces necessary for redirection. We haven't yet thought through the Vector skin A/B test, and it as toward the end of the queue for Q3 FY 2015-2016 priorities (after the other goals are done).

We should probably use an approach like https://meta.wikimedia.org/wiki/User:Halfak_%28WMF%29/Wikipedian_recruitment to ensure adequate visibility.

Related Objects

Duplicates Merged Here
T119262: UX Strategic Test

Event Timeline

dr0ptp4kt raised the priority of this task from to Needs Triage.
dr0ptp4kt updated the task description. (Show Details)
dr0ptp4kt added a project: Reading-Admin.
dr0ptp4kt moved this task to Doing on the Reading-Admin board.
dr0ptp4kt added subscribers: dr0ptp4kt, bd808.
Restricted Application added subscribers: StudiesWorld, Aklapper. · View Herald TranscriptNov 5 2015, 12:54 AM
dr0ptp4kt set Security to None.
dr0ptp4kt added a subscriber: BBlack.

Here may be a guide for getting this in front of the right people.

https://meta.wikimedia.org/wiki/User:Halfak_%28WMF%29/Wikipedian_recruitment

fgiunchedi triaged this task as Medium priority.Dec 1 2015, 4:00 PM
fgiunchedi added a subscriber: fgiunchedi.

triaging as part of Operations, feel free to change it of course!

dr0ptp4kt renamed this task from Improve UX Strategic Test to UX strategic test: redirect small portion of unauthenticated desktop users to mobile web.Dec 10 2015, 7:22 PM
dr0ptp4kt added a subscriber: mark.

So, in technical terms at the varnish level, by the time we're working on this we'll have mobile and text traffic flowing through a single cache cluster anyways, with the primary distinction being that the incoming domainname (m-dot or not) determines setting X-Subdomain: M or X-Subdomain: Zero or not at all for desktop, then the m-dot hostname is rewritten to the desktop hostname, and the cache is fragmenting itself on the X-Subdomain header's presence and a Vary on X-Subdomain.

Currently, we're also clearing X-Subdomain on inbound traffic initially, so that only our own code makes that determination.

So, what we could do is have JS code do the 0.1% filter in the browser, and if so send its own X-Subdomain: M, and not filter that on inbound so that it actually works (and they'd get mobile content for a text hostname, and all the cache stuff would work fine). Or alternatively, we could do something on the varnish level if it was per-client-IP (as in, hash the client IP with sha1 and get 0.1% by regex matching the last 4 digits of the hash on ff[0-3][0-f], which would be 64 IP hashes out of ~64K, or something similar in nature).

dr0ptp4kt updated the task description. (Show Details)Dec 11 2015, 11:18 AM
JKatzWMF renamed this task from UX strategic test: redirect small portion of unauthenticated desktop users to mobile web to STRATEGY TEST: redirect small portion of unauthenticated desktop users to mobile web.Dec 11 2015, 9:37 PM
JKatzWMF renamed this task from STRATEGY TEST: redirect small portion of unauthenticated desktop users to mobile web to TEST: redirect small portion of unauthenticated desktop users to mobile web.
ema moved this task from Triage to Caching on the Traffic board.Jul 21 2017, 11:31 AM
dr0ptp4kt closed this task as Declined.Wed, Mar 18, 6:31 PM

Not planning to do this.